{% extends "dac/base.html" %}
{% load class_name %}
{% load highlight_query %}
{% block content %}

<h1>TLK Search</h1>

<p>
A basic search of the raw Dragon Age talk tables, with no relational information;
    this means the results may include lines that were cut or developer notes that were not removed before the
    game shipped. To search for a certain character's lines, or to limit search to dialogue or codex entries,
    use the advanced search function.
</p>

<div class='row title-row my-5'>

    <div class='col-12 py-0'>
        <h3 class='my-0 py-0'>{{ count }} results for <b>{{ query }}</b></h3>
    </div>
</div>

{% for object in object_list %}
    {% with object|class_name as klass %}
      {% if klass == 'DAO_TLK' %}
           <div class='row'>
             <div class='col-12'>
                DAO: <a href='{{ object.get_absolute_url }}'>{{ object.text|highlight_query:query }}</a>
            </div>
          </div>

      {% elif klass == 'DA2_TLK' %}
           <div class='row'>
             <div class='col-12'>
                DA2: <a href='{{ object.get_absolute_url }}'>{{ object.text|highlight_query:query }}</a>
              </div>
            </div>

      {% elif klass == 'DAI_TLK' %}
           <div class='row'>
                <div class='col-12'>
                   DAI: <a href='{{ object.get_absolute_url }}'>{{ object.text|highlight_query:query }}</a>
                </div>
            </div>
      {% else %}
           <div class='row'>
             <div class='col-12 col-lg-8 offset-lg-4'>
                <a href='{{ object.get_absolute_url }}'>{{ object }} | {{ object|class_name }}</a>
            </div>
           </div>
        {% endif %}
        
    {% endwith %}
    
{% empty %}
<div class='row'>
    <div class='col-12 col-md-6 mx-auto my-5 py-5'>
    <form method='GET' class='' action='.'>
    
        <div class="input-group form-group-no-border mx-auto" style="margin-bottom: 0px; font-size: 32px;">
            <span class="input-group-addon cfe-nav" style='color:#000'>
                <i class="fa fa-search" aria-hidden="true"></i>
            </span>
            <input type="text" name="q" data-toggle="popover" data-placement="bottom" data-content="Press enter to search" class="form-control cfe-nav mt-0 py-3" placeholder="Search..." value="" style="" data-original-title="" title="" autofocus="autofocus">
        </div>

    </form>

    </div>
</div>
{% endfor %}
{% endblock content %}